Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Do not post support requests, bug reports or feature requests. Discuss phpBB here. Non-phpBB related discussion goes in General Discussion!
Suggested Hosts
Locked
FunkyDuck
Registered User
Posts: 260
Joined: Sat Apr 20, 2002 11:24 am
Location: Netherlands
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by FunkyDuck »

Ok, well, I am setting up a new windows server 2003 with IIS and want to install the latest PHP 5.3.3 on it.
But now I can choose for a "Non thread safe" version and a "Thread safe" version.

What shall I do?
FunkyDuck
SamG
Former Team Member
Posts: 3221
Joined: Fri Aug 31, 2001 6:35 pm
Location: Beautiful Northwest Lower Michigan
Name: Sam Graf

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by SamG »

That's an understandable question, but this isn't a server support topic, of course, nor is there a server support forum at phpBB.com.
We should talk less, and say more.
wadie
Registered User
Posts: 558
Joined: Sun May 02, 2010 5:05 am
Location: Your ACP
Name: Wadie

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by wadie »

FunkyDuck wrote:Ok, well, I am setting up a new windows server 2003 with IIS and want to install the latest PHP 5.3.3 on it.
But now I can choose for a "Non thread safe" version and a "Thread safe" version.

What shall I do?
You should talk to your host,they must do something about it. if not I suggest you to change your host rather than changing phpBB.
Need a custom style made ? want me to install a MOD for you ? Contact me here.
FunkyDuck
Registered User
Posts: 260
Joined: Sat Apr 20, 2002 11:24 am
Location: Netherlands
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by FunkyDuck »

:P I am my own host and I finaly installed PHP 5.3.3

I'm not sure if its safe or not safe :P
FunkyDuck
DJ Danni
Registered User
Posts: 19
Joined: Sat Nov 22, 2008 10:38 pm

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by DJ Danni »

What dose this mean?
The version of PHP on this server will no longer be supported by future versions of phpBB. Details
Is it aboat update php?
User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 17301
Joined: Thu Jan 06, 2005 1:30 pm
Location: Fishkill, NY
Name: David Colón
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by DavidIQ »

DJ Danni wrote:What dose this mean?
The version of PHP on this server will no longer be supported by future versions of phpBB. Details
Is it aboat update php?
Yes. Either upgrade the PHP version on your server, ask your host to upgrade it, or change hosting providers.
Apply to become a Jr. Extension Validator
My extensions | In need of phpBB services? | Was I helpful today?
No unsolicited PMs unless you're planning on asking for paid help.
DJ Danni
Registered User
Posts: 19
Joined: Sat Nov 22, 2008 10:38 pm

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by DJ Danni »

DavidIQ wrote:
DJ Danni wrote:What dose this mean?
The version of PHP on this server will no longer be supported by future versions of phpBB. Details
Is it aboat update php?
Yes. Either upgrade the PHP version on your server, ask your host to upgrade it, or change hosting providers.
How can that be? bechuse on http://www.swat.is/spjall it dose not say it. but on mine it dose. And i host http://www.einkaspjall.net and http://www.swat.is/spjall. Wuy dose she not say it then also on http://www.swat.is/spjall ?
User avatar
Ger
Recognised Extension Developer
Posts: 1957
Joined: Wed Jan 02, 2008 7:35 pm
Location: 192.168.1.100
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Ger »

It's hard to make sense of you post, since about half of the words are misspelled...
Please don't be offended, it's simply as it is.

Anyhow: Log on to the administration control panel of your board and navigate to the system tab, click on PHP information. On top just below the logo of PHP, you find your PHP version. When that version number is lower than 5.2.x, you should contact your host since they are running an out-of-date PHP version.

When the version number is 5.2.x or higher, you have nothing to worry about.
My extensions:
Simple CMS, Feed post bot, Avatar Resize, Modbreak, Magic OGP, Live topic update, Modern Quote, Quoted Where (GDPR) and Autoresponder.
Newest: FAQ manager for 3.2

Like my work? Buy me a coffee to keep it coming. :ugeek:

-Don't PM me for support-
User avatar
Eelke
Registered User
Posts: 2903
Joined: Thu Dec 20, 2001 8:00 am
Location: NL, Bussum
Name: Eelke Blok
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Eelke »

@DJ Danni: Are both installations running the same phpBB version? I don't think phpBB 3 has been giving this notice always (considering this announcement was done quite some time after phpBB 3.0.0 was released).
User avatar
A_Jelly_Doughnut
Former Team Member
Posts: 34457
Joined: Sat Jan 18, 2003 1:26 am
Location: Where the Rivers Run
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by A_Jelly_Doughnut »

That's correct. The notice was added in phpBB 3.0.7.
A Donut's Blog
"Bach's Prelude (Cello Suite No. 1) is driving Indiana country roads in Autumn" - Ann Kish
dncollins
Registered User
Posts: 127
Joined: Sat Feb 14, 2009 9:06 am

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by dncollins »

My server supports both, but I never knew to ask, so I've been running on the default, PHP 4, for awhile.

Tested my board locally running on PHP 5.2 and nominally I see no problems. Does anyone know of any subtle issues I need to address switching to PHP 5.2 from PHP 4 ? I use phpBB 3.0.7-PL1 with a couple of mods. I'll check out mod issues in their support areas.
User avatar
callumacrae
Former Team Member
Posts: 2662
Joined: Tue Feb 12, 2008 12:28 pm
Location: London, UK
Name: Callum Macrae
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by callumacrae »

dncollins wrote:My server supports both, but I never knew to ask, so I've been running on the default, PHP 4, for awhile.

Tested my board locally running on PHP 5.2 and nominally I see no problems. Does anyone know of any subtle issues I need to address switching to PHP 5.2 from PHP 4 ? I use phpBB 3.0.7-PL1 with a couple of mods. I'll check out mod issues in their support areas.
There shouldn't be any problems.

~Callum
macr.ae = my website. you probably won't like it.
Proud user ofProud user of
WWu777
Registered User
Posts: 789
Joined: Tue Aug 14, 2007 12:40 pm
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by WWu777 »

I'm confused here.

Since when did phpBB 4 and 5.2 come out? It's not on the download page. I thought the highest version was phpBB 3.0 Olympus?

Why isn't there a phpBB 4 and 5.2 on the download page? How were we supposed to know about them?

Can someone enlighten me?

It seems that everyone knows something I don't?
User avatar
AdamR
Former Team Member
Posts: 9731
Joined: Tue Mar 02, 2004 5:40 pm
Location: Tampa, Florida
Name: Adam Reyher
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by AdamR »

Note: The announcement is concerning phpBB 3.1 will discontinue support for PHP (the programming language that phpBB is written in) versions before 5.2.

PHP = Programming language
phpBB = Forum software written in PHP

- Adam
phpBB Support: Welcome | Userguide | Knowledge Base | Search
Honored supporter of the phpBB Group!
"If I have seen a little further it is by standing on the shoulders of Giants." - Isaac Newton
User avatar
Sierron
Registered User
Posts: 241
Joined: Fri Apr 30, 2010 10:22 am
Location: Germany
Name: Artur
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Sierron »

So I have PHP Version 5.2.12. That means everything is okay for me now?!

Well then. Still waiting for PHP 5.3 :/ on my host.
Multilanguage TimeSplitters Site

If you need support, I suggest you to use the Support Request Template for your questions on this board. If you have some serious problems, the Support Toolkit can fix it (depends on the problem).
Locked

Return to “phpBB Discussion”